<?xml version="1.0" encoding="UTF-8"?><!-- Published by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is JAX-WS RI 2.1.3.3-hudson-757-SNAPSHOT. --><!-- Generated by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is JAX-WS RI 2.1.3.3-hudson-757-SNAPSHOT. --><definitions xmlns:tns="http://www.wmich.edu/cs/mdot/tmc" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://schemas.xmlsoap.org/wsdl/" targetNamespace="http://www.wmich.edu/cs/mdot/tmc">
<types>
<xsd:schema>
<xsd:import namespace="http://www.wmich.edu/cs/mdot/tmc/msg" schemaLocation="http://10.2.2.3:8080/tmc-dev/tmc?xsd=1"></xsd:import>
</xsd:schema>
</types>
<message name="sayHello">
<part xmlns:ns1="http://www.wmich.edu/cs/mdot/tmc/msg" name="HelloWorldRequest" element="ns1:HelloWorldRequest"></part>
</message>
<message name="sayHelloResponse">
<part xmlns:ns2="http://www.wmich.edu/cs/mdot/tmc/msg" name="HelloWorldResponse" element="ns2:HelloWorldResponse"></part>
</message>
<message name="Fault">
<part xmlns:ns3="http://www.wmich.edu/cs/mdot/tmc/msg" name="fault" element="ns3:fault"></part>
</message>
<message name="getHazardList">
<part xmlns:ns4="http://www.wmich.edu/cs/mdot/tmc/msg" name="GetHazardListRequest" element="ns4:GetHazardListRequest"></part>
</message>
<message name="getHazardListResponse">
<part xmlns:ns5="http://www.wmich.edu/cs/mdot/tmc/msg" name="GetHazardListResponse" element="ns5:GetHazardListResponse"></part>
</message>
<message name="postHazard">
<part xmlns:ns6="http://www.wmich.edu/cs/mdot/tmc/msg" name="PostHazardRequest" element="ns6:PostHazardRequest"></part>
</message>
<message name="postHazardResponse">
<part xmlns:ns7="http://www.wmich.edu/cs/mdot/tmc/msg" name="PostHazardResponse" element="ns7:PostHazardResponse"></part>
</message>
<portType name="TMCPortType">
<operation name="sayHello">
<input message="tns:sayHello"></input>
<output message="tns:sayHelloResponse"></output>
<fault message="tns:Fault" name="Fault"></fault>
</operation>
<operation name="getHazardList">
<input message="tns:getHazardList"></input>
<output message="tns:getHazardListResponse"></output>
<fault message="tns:Fault" name="Fault"></fault>
</operation>
<operation name="postHazard">
<input message="tns:postHazard"></input>
<output message="tns:postHazardResponse"></output>
<fault message="tns:Fault" name="Fault"></fault>
</operation>
</portType>
</definitions>